IRUNNER(1)

NAME
irunner - interactive runner interface

SYNOPSIS
irunner [options] file_to_run

DESCRIPTION
irunner is an interface to the various interactive runners available in IPython's irunner module. It can used to run scripts as if they where typed up interactively.

The already implemented runners are listed below; adding one for a new program is a trivial task, see the source for examples.

OPTIONS

-h, --help
    show this help message and exit

--ipython
    IPython interactive runner (default).

--python
    Python interactive runner.

--sage
    SAGE interactive runner.

EXAMPLE
irunner.py --python -- --help will pass --help to the python runner. Similarly, irunner.py --ipython -- --interact script.ipy

SEE ALSO
ipython(1)

AUTHOR
irunner is an extension of Ken Schutte <kschutte-AT-csail.mit.edu>'s script contributed on the ipython-user list: http://mail.scipy.org/pipermail/ipython-user/2006-May/003539.html

This manual page was written by Bernd Zeimetz <bernd@bzed.de>, for the Debian project (but may be used by others). Modified by Fernando Perez <Fernando.Perez@berkeley.edu> for inclusion in IPython.